petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMPIAIJGetLocalMatCondensed

Creates a SeqAIJ matrix from an MPIAIJ matrix by taking all its local rows and NON-ZERO columns

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMPIAIJGetLocalMatCondensed(Mat A,MatReuse scall,IS *row,IS *col,Mat *A_loc)

Not Collective

### Input Parameters

| A | - the matrix
| scall | - either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX
| row, col | - index sets of rows and columns to extract (or NULL)

### Output Parameter

A_loc -the local sequential matrix generated

### See Also

MatGetOwnershipRange(), MatMPIAIJGetLocalMat()

Level:developer
Location:src/mat/impls/aij/mpi/mpiaij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages